# Organizations

The Organizations feature in Kantata OX is composed of two independent trees:
Department and Geography. Each has its own hierarchy structure.
Users and Workspaces are associated to exact positions in these two trees
via [Organization Memberships](/tag/Organization-Memberships).
The corresponding API fields are `geography_id` and `department_id`.

A user's position in these two trees determines what objects they can see
in Kantata OX—they can see objects associated with every department and
geography going up the hierarchy from their selected department and geography.

## Fetching a list of Organizations

 - [GET /organizations](https://developer.kantata.com/kantata/specification/organizations/get-organizations.md): This endpoint returns structured Organization objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organizations top-level JSON key.
Please see our Response Format section for more information.

## Creating a new Organization

 - [POST /organizations](https://developer.kantata.com/kantata/specification/organizations/create-organization.md): Creates an organization.

Bulk Create

This endpoint supports bulk creating up to 100 objects. In the request body, set the top-level key to its plural form and place the objects in an array. Example:


{
  "organizations": [
    {
      "name": "Organization",
      "parent_id": 123
    },
    {
      "name": "Organization",
      "parent_id": 123
    }
  ]
}



This endpoint returns structured Organization objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organizations top-level JSON key.
Please see our Response Format section for more information.

## Fetching a single Organization

 - [GET /organizations/{id}](https://developer.kantata.com/kantata/specification/organizations/get-organization.md): This endpoint returns structured Organization objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organizations top-level JSON key.
Please see our Response Format section for more information.

## Updating an existing Organization

 - [PUT /organizations/{id}](https://developer.kantata.com/kantata/specification/organizations/update-organization.md): This endpoint returns structured Organization objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organizations top-level JSON key.
Please see our Response Format section for more information.

## Deleting an existing Organization

 - [DELETE /organizations/{id}](https://developer.kantata.com/kantata/specification/organizations/delete-organization.md): The response will contain no content and an HTTP 204 status code if the request was
successful, or a standard Kantata OX error message explaining why the object could not be deleted.

